%global pkg_name        POE-Component-IRC-Plugin-RSS-Headlines
%global pkg_version     1.03
%global rpm_pkg_version 1.03
%global rpm_pkg_release 1.n0i.3

Summary:       A POE::Component::IRC plugin that provides RSS headline retrieval
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BI/BINGOS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(POE)                          >= 0.38
Requires:      perl(POE)                          >= 0.38
BuildRequires: perl(POE::Component::IRC)          >= 5.07
Requires:      perl(POE::Component::IRC)          >= 5.07
BuildRequires: perl(POE::Component::Client::HTTP) >= 0.73
Requires:      perl(POE::Component::Client::HTTP) >= 0.73
BuildRequires: perl(XML::RSS)                     >= 1.10
Requires:      perl(XML::RSS)                     >= 1.10
%global perl_filter_req 'perl\\((POE|POE::Component::Client::HTTP|XML::RSS)\\)$'


%description
POE::Component::IRC::Plugin::RSS::Headlines, is a POE::Component::IRC plugin
that provides a mechanism for retrieving RSS headlines from given URLs.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/


%changelog
* Thu Nov 01 2007 Marius Feraru <altblue@n0i.net> - 1.03-1.n0i.3
- version 1.03

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.02-1.n0i.2
- version 1.02

* Wed Jun 13 2007 Marius Feraru <altblue@n0i.net> - 1.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.01
